﻿@font-face {
    font-family: 'Roboto-bold';
    src: url('../../fonts/Roboto-VariableFont_wdth,wght.ttf'), url('../../fonts/Roboto-VariableFont_wdth,wght.ttf');
    font-weight: 400;
    font-style: normal;
}


body {
    font-family: 'Roboto', sans-serif;
    background: #f4f7f6;
}

.main-wrapper {
    min-height: calc(100vh - 120px);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px 0;
}

.custom-card, .card-tabla {
    width: 100%;
    background: #fff;
    border: none;
    border-radius: 25px;
    box-shadow: 0 15px 40px rgba(0,0,0,0.1);
}

    .card-tabla{
        padding-bottom:20px;
    }

    .form-subtitle {
        color: #252525;
        font-size: 1.65rem;
        font-weight: 600;
        margin-bottom: .5rem;
        text-align: center;
        padding-bottom: 15px;
        position: relative;
    }

    .form-subtitle::after {
        content: "";
        display: block;
        width: 40px;
        height: 4px;
        background: #0bbc5a;
        margin: 8px auto 0;
        border-radius: 50px;
    }

.form-label {
    font-size: .9rem !important;
    color: #555;
    font-weight: 500;
    margin-bottom: 4px;
}

.form-text-custom {
    font-size: .7rem;
    font-style: italic;
    color: #888;
    margin-top: .3rem;
}

.form-control, .form-select {
    font-size: 0.9rem;
    padding: .65rem 1rem;
    border: 1px solid #e0e0e0;
    border-radius: 12px;
}

    .form-control:focus, .form-select:focus {
        border-color: #0bbc5a;
        box-shadow: 0 0 0 .25rem rgba(0,188,90,.2);
    }

.btn-primary {
    background-color: #0bbc5a;
    border: none;
    border-radius: 50px;
    padding: 12px 60px;
    color: fffff;
    text-transform: uppercase;
    letter-spacing: 1px;
    transition: transform 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

    .btn-primary:hover {
        background-color: #828590;
        transform: translateY(-2px);
    }

.btn-secondary-custom {
    background: transparent;
    border: 2px solid #ccc;
    color: #555;
    border-radius: 50px;
    padding: .8rem 2rem;
    font-size: 1rem;
    transition: .3s;
}

    .btn-secondary-custom:hover {
        border-color: #0bbc5a;
        color: #0bbc5a;
        background: #f0fdf7;
    }

.table thead th {
    background: #252525;
    color: #fff;
    font-weight: 500;
    border-bottom: 4px solid #0bbc5a;
    padding: 1rem;
}

.table tbody td {
    padding: 1rem;
}

.table-hover tbody tr:hover {
    background: #e6f9ed !important;
}

/*.estado-pendiente,
.estado-proceso,
.estado-finalizado {
    padding: 4px 10px;
    border-radius: 15px;
    font-size: .85rem;
    font-weight: 600;
    display: inline-block;
}

.estado-pendiente {
    background-color: #5EB3FF !important;
    color: #a07400;
    border: 1px solid #ffc107;
}

.estado-proceso {
    background-color: #F5F390 !important;
    color: #0f5132;
    border: 1px solid #0bbc5a;
}

.estado-finalizado {
    background-color: #0bbc5a !important;
    color: #495057;
    border: 1px solid #ccc;
}*/

.bg-success {
    background-color: #0bbc5a !important;
}

.bg-warning {
    background-color: #F5F390 !important;
}

.bg-primary {
    background-color: #5EB3FF !important;
}

.separator-text {
    color: #999;
    font-size: .85rem;
    font-weight: 500;
    text-transform: uppercase;
    margin: 10px 0;
    display: flex;
    align-items: center;
    text-align: center;
}

    .separator-text::before,
    .separator-text::after {
        content: "";
        flex: 1;
        height: 1px;
        background: #e0e0e0;
        margin: 0 10px;
    }

form {
    font-weight: 400;
    font-family: "Roboto-bold", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif !important;
}